#version 410 core
layout(location = 0) in vec3 aPos;
uniform mat4 uVP;
uniform vec3 uOffset;
void main() {
    vec3 world = (aPos - 0.5) * 1.004 + 0.5 + uOffset; // slightly inflated
    gl_Position = uVP * vec4(world, 1.0);
}
